Вход | Регистрация

Информационные технологии :: Администрирование

Помогите установить Google API с GitHub

Помогите установить Google API с GitHub
Я
   wormselfish
 
01.11.16 - 19:09
В инструкции
https://developers.google.com/api-client-library/php/start/installation
написано скачать файлы с:
https://github.com/google/google-api-php-client

в своей программе вписать это:

require_once '/path/to/google-api-php-client/vendor/autoload.php';


Но в папке со скачанными файлами нет папки vendor. Я нашел файл
autoload.php в другой папке. Но в этом файле снова написано:

$file = __DIR__ . '/../../vendor/autoload.php';
blablabla....
require_once $file;

То есть он снова сам себя подключает что ли? Других файлов с названием autoload.php в папках нет.

Как это вообще должно работать?
 
 
   Asmody
 
1 - 01.11.16 - 19:15
Там же ясно написано: скачать архив отсюда https://github.com/google/google-api-php-client/releases, распаковать и подключать.
   wormselfish
 
2 - 01.11.16 - 19:20
(1) АААаа. Ну в этой папке то гораздо больше нужных файлов!!!

Спасибо!

Список тем форума
Рекламное место пустует  Рекламное место пустует
ВНИМАНИЕ! Если вы потеряли окно ввода сообщения, нажмите Ctrl-F5 или Ctrl-R или кнопку "Обновить" в браузере.
Тема не обновлялась длительное время, и была помечена как архивная. Добавление сообщений невозможно.
Но вы можете создать новую ветку и вам обязательно ответят!
Каждый час на Волшебном форуме бывает более 2000 человек.
Рекламное место пустует